import { CreateStyled } from './types.js';
export { EmotionCacheInjectionSymbol, EmotionCacheProvider, __unusafe_useEmotionCache, createCache, defaultCache, withEmotionCache } from './cache.js';
export { EmotionThemeContextSymbol, EmotionThemeProvider, createThemeCache, useEmotionTheme, weakMemoize } from './theming.js';
import 'vue';
import './tags.js';
import '@chakra-ui/utils';
import '@emotion/cache';
import '@emotion/utils';
import '@emotion/weak-memoize';

declare const styled: CreateStyled;

export { styled as default };
